Subject: Re: [PATCH] Bluetooth: hidp: Fix error checks in hidp_get/set_raw_report

From: Dan Carpenter <[email-masked]>
Date: Fri, 6 Sep 2019 13:13:06 +0300

On Fri, Sep 06, 2019 at 12:41:57PM +0300, Dan Elkouby wrote:
> Commit 48d9cc9d85dd ("Bluetooth: hidp: Let hidp_send_message return
> number of queued bytes") changed hidp_send_message to return non-zero
> values on success, which some other bits did not expect. This caused
> spurious errors to be propagated through the stack, breaking some (all?)
> drivers, such as hid-sony for the Dualshock 4 in Bluetooth mode.
> 
> Signed-off-by: Dan Elkouby <[email-masked]>

I think we also need to update update ms_ff_worker() which assumes that
hid_hw_output_report() returns zero on success.  Please use the Fixes
tag for this since a lot of scripts rely on it to decide what to
backport.

Fixes: 48d9cc9d85dd ("Bluetooth: hidp: Let hidp_send_message return number of queued bytes")

Otherwise, it looks good.  Thanks for catching this.

regards,
dan carpenter